Organizations
Get an organization by Id
Retrieve an Organization by its Id. Required permissions: ViewOrganization
GET
/
api
/
organizations
/
v1
/
organizations
/
{organizationId}
Get an organization by Id
curl --request GET \
--url https://mycluster.domino.tech/api/organizations/v1/organizations/{organizationId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/organizations/v1/organizations/{organizationId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/organizations/v1/organizations/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
},
"org": {
"id": "623132867a0af0281c01a69c",
"members": [
{
"organizationRole": "member",
"userId": "6234c9542bc6731e3471ade8"
}
],
"name": "MyOrg",
"defaultEnvironmentId": "6231327c7a0af0281c01a65f"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Id of organization to retrieve. This is the id of the org in the users collection, not the organizations collection.
Last modified on June 26, 2026
Related topics
Get the Organizations for a userGet all organizations. Only accessible to admin users.Get grants by Volume IDGet dataset grants by IDWas this page helpful?
⌘I
Get an organization by Id
